<script setup lang="ts">
import type { Receipt } from '../types/Receipt'
import type { ReceiptItem } from '../types/ReceiptItem'
import { computed, ref } from 'vue'
import ReceiptItemList from '../components/ReceiptItemList.vue'

const props = defineProps<{
  modelValue: boolean
  receipt: Receipt
  receiptItems: ReceiptItem[]
}>()
const emit = defineEmits<{
  'update:modelValue': [boolean]
  agree: []
}>()
const value = computed({
  get() {
    return props.modelValue
  },
  set(value) {
    emit('update:modelValue', value)
  }
})
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="value" persistent width="auto">
      <v-card>
        <v-card-title class="text-h5">Receipt</v-card-title>
        <v-card-text>
          <v-sheet>
            <p>
              วันที่: {{ receipt.createdDate.toLocaleDateString() }} พนักงาน:
              {{ receipt.user?.fullName }} สมาชิก:
              {{ receipt.member?.name }}
            </p>
          </v-sheet>
          <ReceiptItemList :editable="false"></ReceiptItemList>
          <v-sheet
            ><p>รวมเป็น: {{ receipt.total }} บาท จำนวน: {{ receipt.amount }} ชิ้น</p></v-sheet
          >
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green-darken-1" variant="text" @click="value = false"> Disagree </v-btn>
          <v-btn
            color="green-darken-1"
            variant="text"
            @click="
              () => {
                value = false
                console.log(receipt)
                console.log(receiptItems)
                emit('agree')
              }
            "
          >
            Agree
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
